.categories-slider {
  position: relative;

  > .swiper {
    width: 100%;
    padding: 0 0.1rem;

    @include media("md") {
      width: 80%;
    }
  }

  > .swiper:not(.swiper-initialized) .swiper-wrapper {
    display: flex;
    justify-content: center;
  }

  > .swiper:not(.swiper-initialized) .swiper-slide {
    width: calc((100% / 3) - (1.6rem / 3));
    margin-right: 1.6rem;

    @include media("sm") {
      width: calc((100% / 9) - (4rem / 8));
      margin-right: 4rem;
    }
  }

  > .swiper .swiper-slide {
    width: fit-content;
    height: auto;
  }

  > .swiper .category {
    background-color: var(--gray-1);
    border-radius: 0.8rem;
    padding: 0.8rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 10rem;
    min-height: 10rem;
    height: 100%;
    border: 1px solid transparent;
    transition: var(--transition);

    &.-current {
      border-color: var(--primary-color);
      pointer-events: none;
    }
  }

  > .swiper .category:hover {
    border-color: var(--primary-color);
  }

  > .swiper img {
    width: 2.4rem;
    height: 2.4rem;
    object-fit: contain;
  }

  > .swiper p {
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    margin-top: 0.8rem;

    &:first-child {
      margin-top: 0;
    }
  }

  > .swiper-button-next {
    right: 5vw;
  }

  > .swiper-button-prev {
    left: 5vw;
  }

  > .swiper-button-next,
  > .swiper-button-prev {
    margin-top: 0;
    transform: translateY(-50%);
  }

  > .swiper-pagination {
    position: static !important;
    margin-left: 0;
    margin-right: 0;
    width: 100% !important;
    margin-top: 1.6rem;
    display: flex;
    border-radius: 0.8rem;

    @include media("md") {
      display: none;
    }
  }

  > .swiper-pagination .swiper-pagination-progressbar-fill {
    border-radius: 0.8rem;
  }
}
